# PageWithL2 in riscv::addr::page - Rust
API documentation for the Rust `PageWithL2` trait in crate `riscv`.
Keywords: rust, rustlang, rust-lang, PageWithL2

# Trait riscv::addr::page::PageWithL2

source · [−]

    pub trait PageWithL2 {
        fn p2_index(&self) -> usize;
        fn p1_index(&self) -> usize;
        fn from_page_table_indices(p2_index: usize, p1_index: usize) -> Self;
    }

## Required methods

source

#### fn p2_index(&self) -> usize

source

#### fn p1_index(&self) -> usize

source

#### fn from_page_table_indices(p2_index: usize, p1_index: usize) -> Self

## Implementors

source

### impl<T: AddressL2 + PhysicalAddress> PageWithL2 for FrameWith<T>

source

### impl<T: AddressL2 + VirtualAddress> PageWithL2 for PageWith<T>